package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 群组和用户关系表
 *
 * @company 广州宏天软件股份有限公司
 * @author 超级管理员
 * @since 2021-01-15
 */
@TableName("UC_GROUP_USER")
@ApiModel(value="UcGroupUser对象", description="群组和用户关系表")
public class UcGroupUser extends BaseModel<UcGroupUser> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "外键")
    @TableField("GROUP_ID_")
    private String groupId;

    @ApiModelProperty(value = "用户Id")
    @TableField("USER_ID")
    private String userId;

    @ApiModelProperty(value = "排序值")
    @TableField("SN_")
    private Integer sn;

    public Integer getSn() {
        return sn;
    }

    public void setSn(Integer sn) {
        this.sn = sn;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "UcGroupUser{" +
            "id=" + id +
            ", groupId=" + groupId +
            ", userId=" + userId +
        "}";
    }
}
